package com.ruoyi.model.service.impl;

import java.util.List;
import java.time.LocalDateTime;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletTaskMapper;
import com.ruoyi.model.domain.AppletTask;
import com.ruoyi.model.service.IAppletTaskService;

/**
 * 任务中心Service业务层处理
 *
 * @author daixiande
 */
@Service
public class AppletTaskServiceImpl implements IAppletTaskService {
    @Autowired
    private AppletTaskMapper appletTaskMapper;

    /**
     * 查询任务中心
     *
     * @param id 任务中心主键
     * @return 任务中心
     */
    @Override
    public AppletTask selectAppletTaskById(Long id) {
        return appletTaskMapper.selectById(id);
    }

    /**
     * 查询任务中心列表
     *
     * @param appletTask 任务中心
     * @return 任务中心
     */
    @Override
    public List<AppletTask> selectAppletTaskList(AppletTask appletTask) {
        return appletTaskMapper.selectList(appletTask);
    }

    /**
     * 新增任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    @Override
    public int insertAppletTask(AppletTask appletTask) {
        appletTask.setCreateTime(LocalDateTime.now());
        return appletTaskMapper.insert(appletTask);
    }

    /**
     * 修改任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    @Override
    public int updateAppletTask(AppletTask appletTask) {
        appletTask.setUpdateTime(DateUtils.getNowDate());
        return appletTaskMapper.update(appletTask);
    }

    /**
     * 批量删除任务中心
     *
     * @param ids 需要删除的任务中心主键
     * @return 结果
     */
    @Override
    public int deleteAppletTaskByIds(Long[] ids) {
        return appletTaskMapper.deleteByIds(ids);
    }

    /**
     * 删除任务中心信息
     *
     * @param id 任务中心主键
     * @return 结果
     */
    @Override
    public int deleteAppletTaskById(Long id) {
        return appletTaskMapper.deleteById(id);
    }
}
